Bug 543091 - nouveau does not work with G72M [Quadro NVS 110M/GeForce Go 7300]
Summary: nouveau does not work with G72M [Quadro NVS 110M/GeForce Go 7300]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_NV46
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-01 17:05 UTC by James Ralston
Modified: 2010-05-25 23:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-25 23:35:07 UTC


Attachments (Terms of Use)
Xorg.0.log from X server session using nouveau driver (32.47 KB, text/plain)
2009-12-01 17:06 UTC, James Ralston
no flags Details
output from "dmesg" (44.08 KB, text/plain)
2009-12-01 23:22 UTC, James Ralston
no flags Details
dmesg output, kms enabled (46.10 KB, text/plain)
2010-01-13 23:26 UTC, James Ralston
no flags Details

Description James Ralston 2009-12-01 17:05:38 UTC
My Dell Latitude D620 laptop has a nVidia G72M [Quadro NVS 110M/GeForce Go 7300] video card in it.

If I attempt to use the nouveau driver (either via KMS, or by booting to runlevel 3 with nomodeset and then running startx), the screen goes completely off, then comes back on with a black background that gradually lightens with a red tinge, from the bottom of the screen up. After a few moments, the screen has lightened enough that vertical stripe patterns are visible on it, almost like a screensaver. No components of the desktop are visible.

The system doesn't actually hang; I can Ctrl-Alt-Backspace the X server or flip to another virtual consoles. But the red tinge remains even after I shut down the X server, even if I subsequently restart X with the nv driver. (Only rebooting will get rid of it.)

This behavior has been unchanged since the nouveau driver was first released; it has consistently failed to work, in exactly this manner.

As a workaround, I am using the nv driver. But the nv driver can have issues with ACPI suspend/resume operations, so I'd prefer to use the nouveau driver if possible.

Versions:

0:kernel-2.6.31.6-145.fc12.x86_64
1:xorg-x11-drv-nouveau-0.0.15-18.20091105gite1c2efd.fc12.x86_64
0:xorg-x11-server-Xorg-1.7.1-9.fc12.x86_64

I have attached Xorg.0.log from an Xserver started via "startx".

Comment 1 James Ralston 2009-12-01 17:06:57 UTC
Created attachment 375124 [details]
Xorg.0.log from X server session using nouveau driver

Ok, let's try that again...

Comment 2 Michael Breuer 2009-12-01 20:46:22 UTC
Thanks for the bug report. We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue. 

In addition to the Xorg.0.log file, could you also supply your xorg.conf and outbput of demsg?

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please. 

We will review this issue again once you've had a chance to attach this information. 

hank you in advance. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 James Ralston 2009-12-01 23:22:24 UTC
Created attachment 375234 [details]
output from "dmesg"

I've attached my dmesg output.

The Xorg.0.log file I attached was generated with no /etc/X11/xorg.conf file.

Comment 4 Chris Campbell 2009-12-02 16:51:33 UTC
James, thank you for your logs and all are aboard. Setting triaged keyword, already assigned to Ben Skeggs, setting Status to ASSIGNED.

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 James Ralston 2009-12-03 19:41:16 UTC
A response of, "nouveau doesn't support that chip/card yet, sorry" is a perfectly acceptable response, FWIW.

I really only filed this bug to make sure that the nouveau developers know that this chip/card doesn't work...

Comment 6 James Ralston 2010-01-13 23:26:24 UTC
Created attachment 383572 [details]
dmesg output, kms enabled

Per the advice of some developers on the freenode #nouveau IRC channel, here's dmesg output from a boot with kms enabled (that is, without "nomodeset" on the kernel command line).

The point at which the display turned into angry fruit salad was *before* this line:

dracut: Scanning devices dm-0  for LVM volume groups 

I know this because dm-0 is a LUKS-encrypted partition, and the display was already hosed at the point where I had to type the passphrase to unlock the partition.

Comment 7 James Ralston 2010-03-19 15:53:20 UTC
I sent an mmiotrace trace to <mmio.dumps@gmail.com> back on 2010-02-04 (filename 10de:01d7-ralston-mmiotrace.tar.gz), but I haven't heard anything further.

Is there anything more I can do to help debug this?

The laptop that has this video card in it is a work laptop, so if I wheedled, I could probably find someone who would be willing to swap me for a laptop that doesn't have an nVidia card. But I don't want to do that, because it'll make Linux look bad...

Comment 8 Ben Skeggs 2010-03-19 22:38:50 UTC
I've found/fixed this issue recently, it'll make it to upstream nouveau once I hear back from the guy who's testing an updated patch.  Then, it'll make it to Fedora shortly after.  I'll update all the relevant bugs once it's in.

Comment 9 James Ralston 2010-03-20 00:57:15 UTC
If you can provide the patch, I'll cheerfully roll my own RPMs with the patch and test them...

Comment 10 Ben Skeggs 2010-03-20 05:14:32 UTC
Ah cool, feel free: http://members.iinet.net.au/~skeggsb/d620.diff

Comment 11 Fedora Update System 2010-03-29 06:10:50 UTC
kernel-2.6.32.10-92.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.32.10-92.fc12

Comment 12 Fedora Update System 2010-03-30 02:21:50 UTC
kernel-2.6.32.10-92.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.32.10-92.fc12

Comment 13 James Ralston 2010-04-01 19:02:24 UTC
kernel-2.6.32.10-92.fc12 + nouveau KMS works perfectly on my Dell Latitude D620 now. Thanks MUCH for tracking this down and fixing it.

As an added bonus, using KMS has fixed bug 542878, so now I have working suspend/resume again.

Comment 14 James Ralston 2010-05-25 23:35:07 UTC
Closing, as I've still had no issues with kernel-2.6.32.10-92.fc12 + nouveau KMS.


Note You need to log in before you can comment on or make changes to this bug.